#
# spec file for package xfce4-panel-plugin-mount
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-mount-plugin

Name:           xfce4-panel-plugin-mount
Version:        1.1.3
Release:        1.1
Summary:        Filesystem Mounting Plugin for the Xfce Panel
License:        GPL-2.0-or-later
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-mount-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.1/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Mount plugin allows to mount and unmount filesystems from the panel.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libmount.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%license COPYING
%{_libdir}/xfce4/panel/plugins/libmount.so
%{_datadir}/xfce4/panel/plugins/xfce4-mount-plugin.desktop
%{_datadir}/icons/hicolor/*/apps/xfce-mount.*

%files lang -f %{name}.lang

%changelog
* Mon Aug  6 2018 seife+obs@b1-systems.com
- update to 1.1.3
  * some pointer checks
  * nicer formatting of Makefile and configure
  * translation updates
* Mon Feb 27 2017 seife+obs@b1-systems.com
- update to 1.1.2
  - port to GTK3
  - allow several spaces in mountpoint names
  - support fuseblk devices by not using fusermount -u for them
    (checks for fuse.* now)
- package: do not package ChangeLog, NEWS is enough
* Sun Dec 25 2016 seife+obs@b1-systems.com
- update to version 0.6.7
  - various bugfixes and feaure enhancements, see ChangeLog
  - translation updates
* Mon May 14 2012 gber@opensuse.org
- update to version 0.6.4
  - trim too long device names
  - cleaned-up and consistent error dialogs
  - updated information in the accompanying README file
* Fri Apr 27 2012 gber@opensuse.org
- update to version 0.6.3
  - fix a  bug introduced in 0.6.0, the 'on-mount' command is now
    run asynchronously to avoid blocking the plugin UI
  - translation updates
* Mon Apr 23 2012 gber@opensuse.org
- update to version 0.6.2
  - remove the sudo(8) option, after all experienced users can
    still prepend sudo using custom mount commands
  - translation updates
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Wed Apr 18 2012 gber@opensuse.org
- update to version 0.6.1
  - fixes an issue with translations
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr 17 2012 gber@opensuse.org
- update to version 0.6.0
  - port to panel 4.8/4.9
  - port to libxfce4ui
  - build the plugin as a module
  - use standard icon names, drop old unused icons
  - add a checkbox option to use sudo
  - rewrite config saving/loading
  - general cleanup
- removed xfce4-panel-plugin-mount-0.5.5-fix-missing-include.patch,
  xfce4-panel-plugin-mount-0.5.5-hide-gvfs-fuse-daemon-mount.patch
  which have been incorporated upstream
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
